Subject: Re: [Anima] I-D Action: draft-ietf-anima-constrained-join-proxy-05.txt / Section 9.1 proposed text

From: Esko Dijk <[email-masked]>
Date: Wed, 24 Nov 2021 13:54:40 +0000

Hello,

Also based on my review and some ambiguities I noticed in the current -05 section 9.1, here is a new text proposal for 9.1 (now renumbered to 9.2 based on my previous mail which introduces section 9.1):

---
9.2.  Resource Type Attributes registry

   This specification registers new Resource Type (rt=) Link Target
   Attributes in the "Resource Type (rt=) Link Target Attribute Values"
   subregistry under the "Constrained RESTful Environments (CoRE)
   Parameters" registry per the [RFC 6690] procedure.

   Attribute Value: brski.jp
   Description: This BRSKI resource type is used to query and return the supported BRSKI (CoAP over DTLS) port of the constrained Join Proxy.
   Reference: [this document]

   Attribute Value: brski.rjp
   Description: This BRSKI resource type is used to query and return the supported BRSKI JPY protocol port of the Registrar.
   Reference: [this document]
---

It now uses the right template for the rt registrations. And the descriptions per rt make clear which protocol is advertised with the rt, either CoAP-over-DTLS, or JPY protocol. 
The naming of the attributes is of course just an example - see the other email thread about this.

Esko

-----Original Message-----
From: Anima <[email-masked]> On Behalf Of [email-masked]
Sent: Monday, October 18, 2021 14:12
To: [email-masked]
Cc: [email-masked]
Subject: [Anima] I-D Action: draft-ietf-anima-constrained-join-proxy-05.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Autonomic Networking Integrated Model and Approach WG of the IETF.

        Title           : Constrained Join Proxy for Bootstrapping Protocols
        Authors         : Michael Richardson
                          Peter van der Stok
                          Panos Kampanakis
	Filename        : draft-ietf-anima-constrained-join-proxy-05.txt
	Pages           : 19
	Date            : 2021-10-18

Abstract:
   This document defines a protocol to securely assign a Pledge to a
   domain, represented by a Registrar, using an intermediary node
   between Pledge and Registrar.  This intermediary node is known as a
   "constrained Join Proxy".

   This document extends the work of [RFC8995] by replacing the Circuit-
   proxy between Pledge and Registrar by a stateless/stateful
   constrained (CoAP) Join Proxy.  It relays join traffic from the
   Pledge to the Registrar.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-anima-constrained-join-proxy/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-ietf-anima-constrained-join-proxy-05

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-anima-constrained-join-proxy-05

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
Anima mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/anima

---

From: Michael Richardson <[email-masked]>
Date: Wed, 24 Nov 2021 13:15:43 -0500

Esko Dijk <[email-masked]> wrote:
    > Also based on my review and some ambiguities I noticed in the current
    > -05 section 9.1, here is a new text proposal for 9.1 (now renumbered to
    > 9.2 based on my previous mail which introduces section 9.1):

now as:
  https://github.com/anima-wg/constrained-join-proxy/pull/8

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Esko Dijk <[email-masked]>
Date: Mon, 29 Nov 2021 09:46:44 +0000

Thanks; the rt names in this PR need to be aligned with the rt names in the remainder of this document. Currently, the new names as I proposed are being used.
So let's await the outcome of the names choice for this PR.

Esko

-----Original Message-----
From: Michael Richardson <[email-masked]> 
Sent: Wednesday, November 24, 2021 19:16
To: Esko Dijk <[email-masked]>; [email-masked]; Peter van der Stok <[email-masked]>
Subject: Re: [Anima] I-D Action: draft-ietf-anima-constrained-join-proxy-05.txt / Section 9.1 proposed text

now as: